Update a product
curl --request PUT \
--url https://api-global.fastpaybrasil.com/v1/products/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"productLink": "<string>",
"price": 1,
"currency": "<string>",
"sku": "<string>",
"trackStock": true,
"stock": 1,
"weight": 1,
"heightCm": 1,
"widthCm": 1,
"lengthCm": 1
}
'import requests
url = "https://api-global.fastpaybrasil.com/v1/products/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"productLink": "<string>",
"price": 1,
"currency": "<string>",
"sku": "<string>",
"trackStock": True,
"stock": 1,
"weight": 1,
"heightCm": 1,
"widthCm": 1,
"lengthCm": 1
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
productLink: '<string>',
price: 1,
currency: '<string>',
sku: '<string>',
trackStock: true,
stock: 1,
weight: 1,
heightCm: 1,
widthCm: 1,
lengthCm: 1
})
};
fetch('https://api-global.fastpaybrasil.com/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Products
Update a product
Updates a product. All fields are optional; omitted fields are left unchanged. Price changes do not affect charges already created.
PUT
/
v1
/
products
/
{id}
Update a product
Authorizations
HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.
Path Parameters
Body
application/json
Patch payload for a product. All fields are optional; omit a field to leave it unchanged.
Maximum string length:
255Required range:
x >= 0Available options:
physical, digital Maximum string length:
64Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Response
Product updated